Bug 650950 - RFE: Allow customization of interactive.css
RFE: Allow customization of interactive.css
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 08:27 EST by Ruediger Landmann
Modified: 2010-12-07 22:49 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 22:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-11-08 08:27:05 EST
Description of problem:
The structural pages of Publican-generated websites get their style from interactive.css, which cannot be customized. For example, headings on toc.html and Site_Statistics.html (as well as index.html, which normally people shouldn't see) are in a red-coloured font that doesn't necessarily agree with the style of the rest of the site.

Version-Release number of selected component (if applicable):
2.3

How reproducible:
100%

Steps to Reproduce:
1. Generate a website structure with "publican create_site"
2. Look at toc.html

Actual results:
Language headings are red, which it gets from interactive.css:

h1, h2, h3, h4, h5, th {
	color: #a70000
}

Expected results:
Some way to change the colour of headings

Additional info:
The workaround is simple: edit interactive.css to replace styles. However, these changes get overwritten every time the site is refreshed. It would be nice to have a way to make permanent changes, maybe with an "overrides.css" file placed in the same directory as interactive.css?
Comment 1 Ruediger Landmann 2010-11-24 00:03:11 EST
I've worked around this by changing the red text to black in the css, which should work with most site designs; certainly all that we've seen so far. I've also removed the (red) coloured background from web_logo.png.

Fixed in 2.3-%{dist}.t52
Comment 2 Jeff Fearn 2010-11-30 23:22:33 EST
Added code to handle installing site_overrides.css for site home pages.

Fixed in build. 2.3-0%{?dist}.t59
Comment 3 Jeff Fearn 2010-12-07 22:49:25 EST
Publican 2.4 has shipped with a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.